| Unuk 1.0

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
Node Class Reference

`#include <Node.h>`

List of all members.

## Public Member Functions
| Node (int posx=-1, int posy=-1)
## Public Attributes
int | f
int | g
int | h
int | x
int | y
int | numChildren
int | id
Node * | parent
Node * | next
Node * | children [8]

## Detailed Description

Definition at line 21 of file Node.h.

## Constructor & Destructor Documentation

Node::Node | ( | int | posx = `-1`,
|  | int | posy = `-1`
| ) |  | `[inline]`

Definition at line 23 of file Node.h.

## Member Data Documentation

Node* Node::children[8]

Definition at line 38 of file Node.h.

int Node::f

Definition at line 29 of file Node.h.

int Node::g

Definition at line 29 of file Node.h.

int Node::h

Definition at line 29 of file Node.h.

int Node::id

Definition at line 33 of file Node.h.

Node* Node::next

Definition at line 36 of file Node.h.

int Node::numChildren

Definition at line 32 of file Node.h.

Node* Node::parent

Definition at line 35 of file Node.h.

int Node::x

Definition at line 31 of file Node.h.

int Node::y

Definition at line 31 of file Node.h.

The documentation for this class was generated from the following file:

- src/libUnuk/Node.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines